# Upload attachment

Use this endpoint to upload a file to be used as a message attachment. The response includes an attachment ID to reference when sending messages.

Endpoint: POST /messages/attachments/upload
Version: 3.2-Beta
Security: BearerAuth

## Header parameters:

  - `X-Affiliate-Id` (integer, required)
    Include here your Affiliate identifier number

## Request fields (application/json):

  - `conversation` (string, required)
    The unique identifier of the conversation

  - `accommodation` (string, required)
    The unique identifier of the property

  - `file_size` (integer, required)
    The file size in bytes.

  - `file_name` (string, required)
    The original file name including extension.

  - `file_type` (string, required)
    The MIME type of the attachment (supported formats: PNG, JPEG, JPG).

  - `file_content` (string, required)
    Base64-encoded content of the attachment.

## Response 200 fields (application/json):

  - `request_id` (string)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `data` (object)

  - `data.attachment` (string)
    The unique identifier of the attachment


